Summary: Viewer for various animated graphic formats
Name: xanim
Version: 27064
Release: 5
Copyright: Free for Non-commercial distribution
Group: X11/Applications/Graphics

# Decompressor object modules that may or may not be legally included in
# the package.  My reading is that 4 and 6 are not but 5 may be.  But to be
# safe....
NoSource: 4, 5, 6
Source0: ftp://xanim.va.pubnix.com/xanim27064.tar.gz
Source1: ftp://xanim.va.pubnix.com/cinepak.readme
Source2: ftp://xanim.va.pubnix.com/creative.readme
Source3: ftp://xanim.va.pubnix.com/indeo.readme
%ifos Linux
Source4: ftp://xanim.va.pubnix.com/modules/xa1.0_cyuv_linuxELF.o.Z
Source5: ftp://xanim.va.pubnix.com/modules/xa2.0_cvid_linuxELF.o.Z
Source6: ftp://xanim.va.pubnix.com/modules/xa2.0_iv32_linuxELF.o.Z
%else
# Anyone compiling xanim for another architecture should put their Source4-6
# definitions within %ifos tags here and generate a new patch similar to
# Patch2.  See the note in %prep for more info.
%endif
# Note: Patch0 is a linux specific sound config patch.  Without it, the
# package is configured for Sun Sparc Audio.
Patch0: xanim27062-config.patch
Patch1: xanim27064-doublebuf.patch
Patch2: xanim27064-config-extra-decompressors.patch
URL: http://xanim.va.pubnix.com/home.html
Prefix: /usr
BuildRoot: /var/tmp/xanim-root
Packager: Toshio Kuratomi <badger@prtr-13.ucsc.edu>

%changelog

* Fri Jan 30 1998 Toshio Kuratomi <badger@prtr-13.ucsc.edu>

- Now made with a buildroot!
- Added support for the Radius Cinepak, Intel Indeo, and Creative
  CYUV decompressors.  Because of the licensing, these compressors are
  included as nosrc.  Please note:  I think the cinepak license is such
  that it could be included in the srpm, but I'm not certain so it isn't
  here.
- Made the redhat provided patch0 for linux only.  When someone else builds
  this package, they may have to set up a patch for their OS.
- Added a URL tag.
- Added patch to enable X Multibuffering.
- Upped the optimization levels a bit.

* Fri Aug 22 1997 Erik Troan <ewt@redhat.com>

- built against glibc

%description
Viewer for various animated graphic formats, including QuickTime and FLiC.

%prep
%setup -n xanim27064
for i in cinepak.readme creative.readme indeo.readme; do
    cp ${RPM_SOURCE_DIR}/$i .
done

for i in xa1.0_cyuv_linuxELF.o.Z xa2.0_cvid_linuxELF.o.Z xa2.0_iv32_linuxELF.o.Z; do
    cp ${RPM_SOURCE_DIR}/$i .
    gunzip $i
done

# Patch for linux sound instead of Sun-sparc.
%ifos Linux
%patch0 -p1
%endif

# allow double buffering.
%patch1 -p1

# Patch to include Extra compressors/decompressors.
# Each patch is dependent on the extra decompressor modules you install, so
# you'll have to roll your own. (Simple.  You might even be able to edit my
# patch to make one that works for you!)
%ifos Linux
%ifarch i386
%patch2 -p1
%endif
%endif

%build
export PATH=/usr/X11R6/bin:$PATH
xmkmf
make INCDIR=/usr/X11R6/include/X11 CCOPTIONS='-O3 -fomit-frame-pointer'

%install
make install DESTDIR=${RPM_BUILD_ROOT}
make install.man DESTDIR=${RPM_BUILD_ROOT}

%files
/usr/X11R6/bin/xanim
/usr/X11R6/man/man1/xanim.1x
%doc cinepak.readme creative.readme indeo.readme
